kind: pipeline
type: docker
name: default

steps:
- name: lint
  image: registry.gitlab.com/pipeline-components/luacheck:latest
  commands: 
  - luacheck --std +love -g -u -t .
- name: build
  image: alpine
  commands:
  - chmod +x tools/boon/boon
  - tools/boon/boon love download 11.3
  - tools/boon/boon build .
- name: release
  image: plugins/gitea-release
  settings:
    api_key:
      from_secret: gitea_api
    base_url: https://git.biggetje.net
    files: release/*
    prerelease: true